Skip to content

V2.1

Skin Analysis API v2.1 introduces updated AI engines and increases the maximum skincare output resolution up to 2560 pixels, with automatic input resizing.

Run a Skin Analysis V2.1 task.

Request

AI tasks are asynchronous. Prefer webhook-based completion handling when the feature supports webhooks. Configure your webhook endpoint, verify webhook signatures, and use the received task_id to query the task result after a success or error notification. See the webhook integration guide for setup and verification details.

If webhooks are not supported or cannot be used in your integration, implement polling. After submitting an AI task, poll the status endpoint at regular intervals (e.g., every 10 seconds) until the task status is success or error.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:

This object represents a run Skin Analysis task.

dst_actionsArray of strings(RunSkincareTaskDstActions)required

The actions for Skin Analysis. There are 2 types of features: HD and SD. You can choose one or more features, either all in SD or all in HD. Note: HD and SD features cannot be mixed. HD features:

  • hd_redness: Measures skin redness severity.
  • hd_oiliness: Determines skin oiliness level.
  • hd_age_spot: Detects age spots and pigmentation.
  • hd_radiance: Evaluates skin radiance.
  • hd_moisture: Assesses skin hydration levels.
  • hd_dark_circle: Analyzes the presence of dark circles under the eyes.
  • hd_eye_bag: Detects eye bags.
  • hd_droopy_upper_eyelid: Measures upper eyelid drooping severity.
  • hd_droopy_lower_eyelid: Measures lower eyelid drooping severity.
  • hd_firmness: Evaluates skin firmness and elasticity.
  • hd_texture: Analyzes overall skin texture.
  • hd_acne: Detects acne presence.
  • hd_pore: Detects and evaluates pores in different facial regions (forehead, nose, cheek, whole).
  • hd_wrinkle: Measures the severity of wrinkles in various facial areas (forehead, glabellar, crowfeet, periocular, nasolabial, marionette, whole).
  • hd_tear_trough: Detects tear trough.
  • hd_skin_type: Subcategories (whole, T-zone, U-zone) evaluate skin type as Normal, Oily, Dry, Combination, Redness, Dry and Redness, Oily and Redness, or Combination and Redness.

SD features:

  • wrinkle: General wrinkle analysis.
  • droopy_upper_eyelid: Measures upper eyelid drooping severity.
  • droopy_lower_eyelid: Measures lower eyelid drooping severity.
  • firmness: Evaluates skin firmness and elasticity.
  • acne: Evaluates acne presence.
  • moisture: Measures skin hydration.
  • eye_bag: Detects eye bags.
  • dark_circle_v2: Analyzes dark circles.
  • age_spot: Detects age spots.
  • radiance: Evaluates skin brightness.
  • redness: Measures skin redness.
  • oiliness: Determines skin oiliness.
  • pore: Measures pore visibility.
  • texture: Analyzes overall skin texture.
  • tear_trough: Detects tear trough.
  • skin_type: Subcategories (whole, T-zone, U-zone) evaluate skin type as Normal, Oily, Dry, Combination, Redness, Dry and Redness, Oily and Redness, or Combination and Redness.
Items Enum:"hd_wrinkle""hd_pore""hd_texture""hd_acne""hd_oiliness""hd_radiance""hd_eye_bag""hd_age_spot""hd_dark_circle""hd_droopy_upper_eyelid"
Example:
[ "hd_wrinkle", "hd_pore", "hd_texture", "hd_acne" ]
miniserver_argsobject(RunSkincareTaskMiniserverArgs)
formatstring

Response format of the analysis results. Default is 'zip'. - zip: Results will be packaged as a downloadable ZIP file containing a skinanalysisResult folder with score_info.json and all detection result images. The response will include a URL to download the ZIP file. - json: Results will be returned directly in the response body as JSON format. Note: The response schema differs between format=json and format=zip.

Enum:"json""zip"
Example:"zip"
pf_camera_kitboolean
Example:true
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
POST
/s2s/v2.1/task/skin-analysis
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.1/task/skin-analysis \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "dst_actions": [
      "hd_wrinkle",
      "hd_pore",
      "hd_texture",
      "hd_acne"
    ],
    "miniserver_args": {
      "enable_mask_overlay": true,
      "enable_dark_background_hd_pore": true,
      "color_dark_background_hd_pore": "3D3D3D",
      "opacity_dark_background_hd_pore": 0.4,
      "enable_dark_background_hd_wrinkle": true,
      "color_dark_background_hd_wrinkle": "3D3D3D",
      "opacity_dark_background_hd_wrinkle": 0.4
    },
    "format": "zip",
    "pf_camera_kit": true
  }'

Responses

Successful execution of Skin Analysis task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }